<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];
$success = false;

$file = "sale_ti.php";

$keyfld = "vouchno";
$rangeFrom = $_REQUEST["rangeFrom"];
$rangeTo = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["ssearch"];
$operator = $_REQUEST["soperator"];
$series = $_REQUEST["series"];
$para = $_REQUEST["para"];

$cond = "";
if ($_REQUEST["sfield"] != "") {
    if ($operator == "=") {
        if ($_REQUEST["sfield"] == "1") {
            $cond = "AND `voucher` = '$searchTerm'";
        } else if ($_REQUEST["sfield"] == "2") {
            $cond = "AND `invno` = '$searchTerm'";
        } else if ($_REQUEST["sfield"] == "3") {
            $cond = "AND `vouchdt` = '$searchTerm'";
        } else if ($_REQUEST["sfield"] == "4") {
            $cond = "AND `party` = '$searchTerm'";
        } else if ($_REQUEST["sfield"] == "5") {
            $cond = "AND `mobile` = '$searchTerm'";
        } else if ($_REQUEST["sfield"] == "6") {
            $cond = "AND `billamt` = '$searchTerm'";
        }
    } else {
        if ($_REQUEST["sfield"] == "1") {
            $cond = "AND `voucher` LIKE '%$searchTerm%'";
        } else if ($_REQUEST["sfield"] == "2") {
            $cond = "AND `invno` LIKE '%$searchTerm%'";
        } else if ($_REQUEST["sfield"] == "3") {
            $cond = "AND `vouchdt` LIKE '%$searchTerm%'";
        } else if ($_REQUEST["sfield"] == "4") {
            $cond = "AND `party` LIKE '%$searchTerm%'";
        } else if ($_REQUEST["sfield"] == "5") {
            $cond = "AND `mobile` LIKE '%$searchTerm%'";
        } else if ($_REQUEST["sfield"] == "6") {
            $cond = "AND `billamt` LIKE '%$searchTerm%'";
        }
    }
}

$sortcond = "ORDER BY `voucher`";
if ($_REQUEST["sortBy"] == "1") {
    $sortcond = " ORDER BY `voucher`";
} else if ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY `invno`";
} else if ($_REQUEST["sortBy"] == "3") {
    $sortcond = " ORDER BY `vouchdt`";
} else if ($_REQUEST["sortBy"] == "4") {
    $sortcond = " ORDER BY `party`";
} else if ($_REQUEST["sortBy"] == "5") {
    $sortcond = " ORDER BY `mobile`";
} else if ($_REQUEST["sortBy"] == "6") {
    $sortcond = " ORDER BY `billamt`";
} 

$ordcond = "DESC";
if ($_REQUEST["orderAs"] == "desc") {
    $ordcond = "DESC";
}else{
    $ordcond = "ASC";
}

$query = "SELECT *, date_format(`vouchdt`,'dd-mm-Y') FROM `slgstmain` WHERE `voucher`!='' $cond $sortcond $ordcond  LIMIT $rangeFrom, $rangeTo";
$result = mysqli_query($conn, $query)or die(mysqli_error($conn));

$rows = array();
$ctr = 0;
while ($r = mysqli_fetch_assoc($result)) {

    $getparty = mysqli_query($conn, "SELECT `accode`,`name`,`grpcode` FROM `accmast` where `accode`='$r[party]' and `grpcode`='010' ")or die (mysqli_error($conn));
    $fetparty = mysqli_fetch_array($getparty);


    $rows[] = [ 'success' => true,
        'voucher' => $r['voucher'],
          'invno' => $r['invno'],
        'vouchdt' => $r['vouchdt'],
          'party' => $fetparty['name'],
         'mobile' => $r['mobile'],
     'billamt' => $r['billamt'],
         
        'action'  => "$file?mode=edit&$keyfld=$r[$keyfld]",
    ];
}
header("Content-type: application\json");
echo json_encode($rows);
